<template>
  <v-list flat>
    <v-list-item-group
        v-model="selectedItem"
        color="primary"
    >
      <v-list-item
          v-for="(item, i) in items"
          :key="i"
      >
        <v-list-item-icon>
          <v-icon v-text="item.icon"></v-icon>
        </v-list-item-icon>
        <v-list-item-content>
          <v-list-item-title v-text="item.text"></v-list-item-title>
        </v-list-item-content>
      </v-list-item>
    </v-list-item-group>
  </v-list>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  name: 'DrawerList',

  data: () => ({
    selectedItem: 0,
    items: [
      { text: 'Windows', icon: 'mdi-microsoft-windows'},
      { text: 'Linux', icon: 'mdi-linux'},
      { text: 'Mac', icon: 'mdi-apple'},
    ],
  }),
})
</script>
<style scoped>

</style>
